5.3.0-git
2014-11-24

[#7178] Caps lock detection widget for password fields
Summary Caps lock detection widget for password fields
Queue Horde Base
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester chuck (at) horde (dot) org
Created 2008-08-09 (2298 days ago)
Due
Updated 2013-12-17 (342 days ago)
Assigned
Resolved 2013-11-13 (376 days ago)
Milestone
Patch No

History
2013-12-17 10:32:10 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 36916f055f63981cee9dde9b09ef83f32238d1a3
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Tue Nov 12 22:09:05 2013 -0700

     [mms] Display indiciation that Caps Lock key is on when entering 
password on login page (Request #7178).

  horde/docs/CHANGES              |    2 ++
  horde/js/login.js               |   13 +++++++++++++
  horde/package.xml               |    1 +
  horde/templates/login/login.inc |   17 +++++++++++------
  horde/themes/default/screen.css |    6 ++++++
  5 files changed, 33 insertions(+), 6 deletions(-)

http://git.horde.org/horde-git/-/commit/36916f055f63981cee9dde9b09ef83f32238d1a3
2013-11-13 05:10:36 Michael Slusarz Comment #2
Version ⇒ Git master
State ⇒ Resolved
Assigned to Michael Slusarz
Reply to this comment
Added to horde login screen in 5.2.  Not even bothering with 
Horde_Form at this time.
2008-08-09 04:35:49 Chuck Hagenbuch Comment #1
State ⇒ Accepted
Patch ⇒ No
Milestone ⇒
Queue ⇒ Horde Base
Summary ⇒ Caps lock detection widget for password fields
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
On the Horde (and other app) login screens, and in Horde_Form password 
screens, show a caps lock indicator like Mac OS X does.



http://24ways.org/2007/capturing-caps-lock

http://www.howtocreate.co.uk/jslibs/htmlhigh/capsDetect.html

http://www.kryogenix.org/code/browser/jscapslock/jscapslock.html